_

[Lisp] łączenie warunków wyboru ssget

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

[Lisp] łączenie warunków wyboru ssget

Postprzez Lukaszs85 » lut 28, 2017 01:30

Witam
Chciałbym połączyć następujące warunki zaznaczeń elementów, nie wychodzi mi i nie wiem gdzie już szukać rozwiązania:
Kod: Zaznacz cały
(setq WYBOR1 (ssget '((0 . "ARC"))))
(setq WYBOR2 (ssget '((0 . "CIRCLE"))))

Chcę by zaznaczenie wybierało zarówno łuki jak i okręgi. Jest w ogóle możliwe połączenie warunków wyboru obiektów?
Pozdrawiam

Łukasz
Lukaszs85
 
Posty: 21
Dołączył(a): lut 24, 2017 00:24

Re: [Lisp] łączenie warunków wyboru ssget

Postprzez ziele_o2k » lut 28, 2017 03:41

Kod: Zaznacz cały
(setq wybor (ssget '((0 . "ARC,CIRCLE"))))

http://lee-mac.com/ssget.html -> tu masz fajnie ssget wytłumaczony
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 474
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: [Lisp] łączenie warunków wyboru ssget

Postprzez Lukaszs85 » mar 02, 2017 20:00

Dzięki wielkie, działa tak jak trzeba :)
Lukaszs85
 
Posty: 21
Dołączył(a): lut 24, 2017 00:24


Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników